using MongoDB.Bson;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LolDataRequestLib.ResponseData
{
    class 퀘스트완료여부 : IResponseData
    {
        public DataTable 디비데이터를데이터테이블로만듬()
        {

            DataTable 퀘스트완료여부테이블 = new DataTable(DBDefine.요청데이터분류.퀘스트완료여부.ToString());

            try
            {

                퀘스트완료여부테이블.Columns.Add("팀");
                //픽리스트테이블.Columns.Add("포지션");
                퀘스트완료여부테이블.Columns.Add("선수닉네임");
                퀘스트완료여부테이블.Columns.Add("챔피언이름");
                퀘스트완료여부테이블.Columns.Add("퀘스트완료여부");

                if (DataManager.getInstance().경기데이터 == null)
                {
                    return 퀘스트완료여부테이블;
                }

                List<BsonValue> 선수데이터들 = DataManager.getInstance().경기데이터["participants"].AsBsonArray.OrderByDescending(p => p["roleBoundQuestComplete"].ToBoolean()).ToList();
                 
                for (int i = 0; i < 선수데이터들.Count(); i++)
                {
                    BsonValue item = 선수데이터들[i];

                    DataRow bufRow = 퀘스트완료여부테이블.NewRow();

                    bufRow["팀"] = (DBDefine.팀구분)item["teamID"].ToInt32(); 
                    bufRow["선수닉네임"] = item["playerName"];
                    bufRow["챔피언이름"] = item["championName"];
                    bufRow["퀘스트완료여부"] = item["roleBoundQuestComplete"].ToBoolean();


                    퀘스트완료여부테이블.Rows.Add(bufRow);
                }
            }
            catch (Exception ex) { }


            return 퀘스트완료여부테이블;

        }
    }
}
